Bug 1349556 - ssh-copy-id not working when custom loglevel is quiet
Summary: ssh-copy-id not working when custom loglevel is quiet
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openssh
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Jakub Jelen
QA Contact: Stanislav Zidek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-23 16:30 UTC by Lukáš Zachar
Modified: 2016-11-03 20:20 UTC (History)
2 users (show)

Fixed In Version: openssh-6.6.1p1-28.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:20:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2588 normal SHIPPED_LIVE Moderate: openssh security, bug fix, and enhancement update 2016-11-03 12:09:45 UTC

Description Lukáš Zachar 2016-06-23 16:30:51 UTC
Description of problem:

ssh-copy-id tries to detect that key is already present on the remote host.
It does by trying to log in there and checking for string 'Permission denied' in the error output. However one can have set custom loglevel which will not produce this output.


Version-Release number of selected component (if applicable):
openssh-clients-6.6.1p1-25.el7_2

How reproducible:
always

Steps to Reproduce:
1. ~/.ssh/config contains "LogLevel QUIET" for remote host
2. ssh-copy-id remote.host

Actual results:
WARNING: All keys were skipped because they already exist on the remote system.

Expected results:
asked for password and key is copied

Additional info:
openssh-clients-7.2p2-7.fc24 specifies log level inside ssh-copy-id

Comment 1 Jakub Jelen 2016-06-24 06:08:48 UTC
This is already fixed upstream [1] from commit in ssh-copy-id repo [2]. It sounds reasonable to fix this also in RHEL7.

[1] https://github.com/openssh/openssh-portable/commit/ef39e8c0497ff0564990a4f9e8b7338b3ba3507c
[2] http://git.hands.com/?p=ssh-copy-id.git;a=commit;h=35f05e39cda8670b3f6797330a3e521fda509a4c

Comment 6 errata-xmlrpc 2016-11-03 20:20:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2588.html


Note You need to log in before you can comment on or make changes to this bug.